# Report Indonesia filter by matched detections - noisy vessel (/docs/examples/report/report-example9)



> In this case there is a matching with SAR image and AIS positions but the AIS positions are linked to a noisy vessel that is why there is a vessel id but no vessel details since Global Fishing Watch couldn't determine those values as this refers to a noisy vessel.

> To get details of existing regions, check [Regions in the Reference data section](/docs/v3/general-api-doc/reference-data)

**Query parameters**

| Parameter             | Value                               | Description                              |
| --------------------- | ----------------------------------- | ---------------------------------------- |
| `spatial-resolution`  | `HIGH`                              | High spatial resolution                  |
| `temporal-resolution` | `HOURLY`                            | Aggregate by hour                        |
| `group-by`            | `VESSEL_ID`                         | Group results by vessel id               |
| `datasets[0]`         | `public-global-sar-presence:latest` | SAR vessel detections dataset            |
| `date-range`          | `2017-01-01,2017-01-02`             | Filter to this time period               |
| `format`              | `JSON`                              | Response format                          |
| `filters[0]`          | `matched='true'`                    | Only detections matched with AIS vessels |

**Request body**

| Field            | Value              | Description             |
| ---------------- | ------------------ | ----------------------- |
| `region.dataset` | `public-eez-areas` | Existing region dataset |
| `region.id`      | `8492`             | Indonesia EEZ region id |

**Request**

<Tabs items="['cURL', 'Python', 'R', 'JavaScript']">
  <Tab value="cURL">
    ```shell
    # Make sure to replace [TOKEN] with your API Access Token.
     curl --location --globoff 'https://gateway.api.globalfishingwatch.org/v3/4wings/report?spatial-resolution=HIGH&temporal-resolution=HOURLY&group-by=VESSEL_ID&datasets[0]=public-global-sar-presence%3Alatest&date-range=2017-01-01%2C2017-01-02&format=JSON&filters[0]=matched%3D%27true%27' \
     --header 'Authorization: Bearer [TOKEN]' \
    --header 'Content-Type: application/json'\
    --data '{
        "region": {
            "dataset": "public-eez-areas",
            "id": 8492
        }
    }'
    ```
  </Tab>

  <Tab value="Python">
    ```python
    result = await gfw_client.fourwings.create_report(
        datasets=["public-global-sar-presence:latest"],
        spatial_resolution="HIGH",
        temporal_resolution="HOURLY",
        group_by="VESSEL_ID",
        filters=["matched='true'"],
        start_date="2017-01-01",
        end_date="2017-01-02",
        region={"dataset": "public-eez-areas", "id": 8492},
    )
    ```
  </Tab>

  <Tab value="R">
    ```r
    gfw_sar_vessel_detections(
      spatial_resolution = "HIGH",
      temporal_resolution = "HOURLY",
      start_date = "2017-01-01",
      end_date = "2017-01-02",
      region = 8492,
      region_source = "EEZ",
      group_by = "VESSEL_ID",
      filter_by = "matched='true'"
    )
    ```
  </Tab>

  <Tab value="JavaScript">
    ```js
    // Make sure to replace [TOKEN] with your API Access Token.
    const res = await fetch(
      'https://gateway.api.globalfishingwatch.org/v3/4wings/report?spatial-resolution=HIGH&temporal-resolution=HOURLY&group-by=VESSEL_ID&datasets[0]=public-global-sar-presence%3Alatest&date-range=2017-01-01%2C2017-01-02&format=JSON&filters[0]=matched%3D%27true%27',
      {
        method: 'POST',
        headers: {
          Authorization: 'Bearer [TOKEN]',
          'Content-Type': 'application/json',
        },
        body: JSON.stringify({
          region: { dataset: 'public-eez-areas', id: 8492 },
        }),
      }
    )
    const data = await res.json()
    ```
  </Tab>
</Tabs>

**Response**

```json
{
  "total": 1,
  "limit": null,
  "offset": null,
  "nextOffset": null,
  "metadata": {},
  "entries": [
    {
      "public-global-sar-presence:v3.0": [
        {
          "callsign": "",
          "dataset": "",
          "date": "2017-01-01 22:00",
          "detections": 1,
          "entryTimestamp": "2017-01-01T22:33:41Z",
          "exitTimestamp": "2017-01-01T22:33:41Z",
          "firstTransmissionDate": "",
          "flag": "",
          "geartype": "",
          "imo": "",
          "lastTransmissionDate": "",
          "lat": -6.09,
          "lon": 106.89,
          "mmsi": "",
          "shipName": "",
          "vesselId": "74934b786-6f6f-d027-c06f-bf814d7da7f3",
          "vesselType": ""
        }
      ]
    }
  ]
}
```
